﻿local E, L, V, P, G = unpack(ElvUI);
local TTUIRM = E:GetModule('ThinkTankUI Remastered');

function TTUIRM:LoadDBMProfile()
	DBM:CreateProfile('ThinkTankUI')
	
	DBM_AllSavedOptions = {
		["ThinkTankUI"] = {
		["SpecialWarningFontSize"] = 50,
		["HUDTextureOverride"] = false,
		["DontShowFarWarnings"] = true,
		["ChosenVoicePack"] = "None",
		["EventRandomVictory"] = false,
		["DontShowHudMap2"] = false,
		["AlwaysPlayVoice"] = false,
		["ShowSWarningsInChat"] = true,
		["HideApplicantAlerts"] = 0,
		["HUDAlpha1"] = 0.5,
		["StatusEnabled"] = true,
		["InfoFrameX"] = -363.999847412109,
		["DontShowNameplateIcons"] = false,
		["CoreSavedRevision"] = 17635,
		["RangeFrameX"] = 50,
		["AlwaysShowSpeedKillTimer"] = true,
		["RangeFrameY"] = -50,
		["FilterSayAndYell"] = false,
		["EnableModels"] = true,
		["SpecialWarningFlashAlph3"] = 0.4,
		["ArrowPoint"] = "TOP",
		["SWarnNameInNote"] = true,
		["FakeBWVersion"] = false,
		["InfoFramePoint"] = "BOTTOM",
		["CRT_Enabled"] = false,
		["EventSoundMusicCombined"] = false,
		["SpecialWarningFlashCol2"] = {
			1, -- [1]
			0.5, -- [2]
			0, -- [3]
		},
		["WarningAlphabetical"] = true,
		["WarningFont"] = "Fonts\\FRIZQT__.TTF",
		["CheckGear"] = true,
		["SpecialWarningX"] = 0,
		["WorldBossAlert"] = false,
		["RaidWarningPosition"] = {
			["Y"] = -185,
			["X"] = 0,
			["Point"] = "TOP",
		},
		["DontShowPT2"] = false,
		["MCMessageShown"] = false,
		["EnablePatchRestrictions"] = false,
		["DontShowSpecialWarnings"] = false,
		["ShowMinimapButton"] = false,
		["MoviesSeen"] = {
			["15720"] = true,
			["11751"] = true,
			["16002"] = true,
			["15000"] = true,
			["12200"] = true,
			["14600"] = true,
			["14690"] = true,
			[484] = true,
			["14890"] = true,
		},
		["ShowQueuePop"] = true,
		["ShowAllVersions"] = true,
		["DebugMode"] = false,
		["DontShowTargetAnnouncements"] = true,
		["HUDTexture3"] = "highlight",
		["SpecialWarningFontCol"] = {
			1, -- [1]
			0.7, -- [2]
			0, -- [3]
		},
		["ShowFlashFrame"] = true,
		["FilterInterruptNoteName"] = false,
		["WarningFontStyle"] = "None",
		["SpamBlockBossWhispers"] = true,
		["InfoFrameY"] = 88.7590789794922,
		["ChatFrame"] = "DEFAULT_CHAT_FRAME",
		["WarningIconRight"] = true,
		["UseSoundChannel"] = "Master",
		["DontShowReminders"] = false,
		["ForumsMessageShown"] = 15117,
		["ShowCountdownText"] = false,
		["ShowRespawn"] = true,
		["EventRandomMusic"] = false,
		["EventSoundWipe"] = "None",
		["HideQuestTooltips"] = true,
		["EventSoundMusic"] = "None",
		["LogOnlyRaidBosses"] = false,
		["DisableGuildStatus"] = false,
		["DontRestoreIcons"] = false,
		["SpecialWarningDuration"] = 4,
		["DebugLevel"] = 1,
		["EventSoundEngage"] = "",
		["DontShowHealthFrame"] = false,
		["HUDSize2"] = 5,
		["ShowFakedRaidWarnings"] = false,
		["FilterDispel"] = true,
		["RangeFramePoint"] = "CENTER",
		["ShowGuildMessagesPlus"] = false,
		["LFDEnhance"] = true,
		["SpecialWarningFlashDura1"] = 0.4,
		["DontShowPTNoID"] = false,
		["HideGarrisonToasts"] = true,
		["ArrowPosY"] = -150,
		["RLReadyCheckSound"] = true,
		["SpecialWarningFontShadow"] = false,
		["EventMusicMythicFilter"] = true,
		["HideBossEmoteFrame2"] = true,
		["SWarnClassColor"] = true,
		["WOTLKTWMessageShown"] = false,
		["HideObjectivesFrame"] = true,
		["SpecialWarningFlashCol1"] = {
			1, -- [1]
			1, -- [2]
			0, -- [3]
		},
		["HideTooltips"] = false,
		["DontShowPTText"] = false,
		["RangeFrameSound2"] = "none",
		["ShowPizzaMessage"] = true,
		["SpecialWarningFontSize2"] = 35,
		["DontShowSpecialWarningText"] = false,
		["SpecialWarningFlashCol5"] = {
			0.2, -- [1]
			1, -- [2]
			1, -- [3]
		},
		["SpecialWarningSound5"] = "Sound\\Creature\\Loathstare\\Loa_Naxx_Aggro02.ogg",
		["AlwaysShowSpeedKillTimer2"] = false,
		["HUDSize1"] = 5,
		["AutoReplySound"] = true,
		["SpecialWarningPoint"] = "CENTER",
		["AlwaysShowHealthFrame"] = false,
		["HealthFrameLocked"] = false,
		["SpecialWarningFlashAlph2"] = 0.3,
		["WarningX"] = 0,
		["TalkingHeadFilter"] = "Never",
		["SpecialWarningFlashAlph4"] = 0.4,
		["EventSoundDungeonBGM"] = "None",
		["RangeFrameRadarX"] = 370.000579833984,
		["CountdownVoice2"] = "Kolt",
		["AutoAcceptGuildInvite"] = false,
		["HUDSizeOverride"] = false,
		["ArrowPosX"] = 0,
		["DontShowFlexMessage"] = false,
		["AITimer"] = true,
		["SpecialWarningFlashDura3"] = 1,
		["MovieFilter"] = "AfterFirst",
		["HPFramePoint"] = "CENTER",
		["SpecialWarningSound4"] = "Sound\\Creature\\HoodWolf\\HoodWolfTransformPlayer01.ogg",
		["EventSoundVictory"] = "Interface\\AddOns\\DBM-Core\\sounds\\Victory\\SmoothMcGroove_Fanfare.ogg",
		["WarningPoint"] = "CENTER",
		["HUDSize4"] = 5,
		["DisableSFX"] = false,
		["AutologBosses"] = false,
		["SpecialWarningFlashDura4"] = 0.7,
		["WarningFontShadow"] = true,
		["WarningDuration"] = 4,
		["SpecialWarningFlashCol3"] = {
			1, -- [1]
			0, -- [2]
			0, -- [3]
		},
		["WarningColors"] = {
			{
				["b"] = 0.941176470588235,
				["g"] = 0.8,
				["r"] = 0.411764705882353,
			}, -- [1]
			{
				["b"] = 0,
				["g"] = 0.949019607843137,
				["r"] = 0.949019607843137,
			}, -- [2]
			{
				["b"] = 0,
				["g"] = 0.501960784313726,
				["r"] = 1,
			}, -- [3]
			{
				["b"] = 0.101960784313725,
				["g"] = 0.101960784313725,
				["r"] = 1,
			}, -- [4]
		},
		["HUDColor2"] = {
			1, -- [1]
			0, -- [2]
			0, -- [3]
		},
		["SWarningAlphabetical"] = true,
		["WarningDuration2"] = 1.5,
		["BlockNoteShare"] = false,
		["HUDAlphaOverride"] = false,
		["RangeFrameRadarY"] = 87.9997100830078,
		["FilterSelfHud"] = true,
		["ModelSoundValue"] = "Short",
		["HUDColor3"] = {
			1, -- [1]
			0.5, -- [2]
			0, -- [3]
		},
		["WarningY"] = 260,
		["FilterInterrupt"] = true,
		["RangeFrameRadarPoint"] = "BOTTOM",
		["SpecialWarningY"] = 75,
		["CustomSounds"] = 0,
		["ShortTimerText"] = true,
		["RangeFrameUpdates"] = "Average",
		["AutoCorrectTimer"] = false,
		["DontPlayCountdowns"] = false,
		["RaidWarningSound"] = "Sound\\Doodad\\BellTollNightElf.ogg",
		["DontRestoreRange"] = false,
		["HideBossEmoteFrame"] = true,
		["SpecialWarningFlashRepeat3"] = true,
		["RoleSpecAlert"] = true,
		["WhisperStats"] = false,
		["VoiceOverSpecW2"] = "DefaultOnly",
		["ShowEngageMessage"] = true,
		["DontPlayPTCountdown"] = false,
		["SpecialWarningFlashAlph5"] = 0.5,
		["SpecialWarningDuration2"] = 1.5,
		["HealthFrameWidth"] = 200,
		["HealthFrameGrowUp"] = false,
		["WarningIconLeft"] = true,
		["RangeFrameLocked"] = false,
		["HPFrameY"] = 50,
		["WarningFontSize"] = 20,
		["EventSoundVictory2"] = "None",
		["SpecialWarningFlashDura2"] = 0.4,
		["LastRevision"] = 0,
		["AutoRespond"] = true,
		["SettingsMessageShown"] = true,
		["PGMessageShown"] = false,
		["HUDAlpha3"] = 0.5,
		["DontShowInfoFrame"] = false,
		["DontShowUserTimers"] = false,
		["DontSetIcons"] = false,
		["BigBrotherAnnounceToRaid"] = false,
		["HUDAlpha2"] = 0.5,
		["SpecialWarningFlashRepeat4"] = false,
		["CountdownVoice3v2"] = "Pewsey",
		["CountdownVoice"] = "Corsica",
		["SpecialWarningFlashRepeat2"] = false,
		["SpecialWarningFlashCol4"] = {
			1, -- [1]
			0, -- [2]
			1, -- [3]
		},
		["SpecialWarningFlashRepeat5"] = true,
		["DisableStatusWhisper"] = false,
		["EventDungMusicMythicFilter"] = true,
		["RangeFrameSound1"] = "none",
		["RangeFrameFrames"] = "radar",
		["HUDTexture1"] = "highlight",
		["ShowBigBrotherOnCombatStart"] = false,
		["SpecialWarningIcon"] = true,
		["HUDTexture2"] = "highlight",
		["SpecialWarningFlashAlph1"] = 0.3,
		["ShowDefeatMessage"] = true,
		["FilterTankSpec"] = true,
		["DontShowRangeFrame"] = false,
		["HPFrameMaxEntries"] = 5,
		["InfoFrameShowSelf"] = false,
		["SpecialWarningFont"] = "Fonts\\FRIZQT__.TTF",
		["HUDTexture4"] = "highlight",
		["DontShowPTCountdownText"] = false,
		["DontShowBossTimers"] = false,
		["SpecialWarningFontStyle"] = "THICKOUTLINE",
		["DontShowBossAnnounces"] = false,
		["HUDColorOverride"] = false,
		["SpecialWarningFlashDura5"] = 1,
		["WorldBossNearAlert"] = false,
		["InfoFrameLines"] = 0,
		["HUDColor4"] = {
			0, -- [1]
			1, -- [2]
			0, -- [3]
		},
		["SpecialWarningFlashRepeatAmount"] = 2,
		["AutoAcceptFriendInvite"] = false,
		["WarningIconChat"] = true,
		["SpecialWarningSound2"] = "Sound\\Creature\\AlgalonTheObserver\\UR_Algalon_BHole01.ogg",
		["HideGuildChallengeUpdates"] = true,
		["DontShowCTCount"] = false,
		["DontSendYells"] = false,
		["HUDAlpha4"] = 0.5,
		["AdvancedAutologBosses"] = false,
		["SpecialWarningFlashRepeat1"] = false,
		["EventRandomDefeat"] = true,
		["HUDSize3"] = 5,
		["Enabled"] = true,
		["LatencyThreshold"] = 250,
		["BCTWMessageShown"] = false,
		["HUDColor1"] = {
			1, -- [1]
			1, -- [2]
			0, -- [3]
		},
		["ShowGuildMessages"] = true,
		["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
		["ShowWarningsInChat"] = true,
		["NewsMessageShown"] = 7,
		["StripServerName"] = true,
		["PTCountThreshold"] = 5,
		["SpecialWarningSound"] = "Sound\\Spells\\PVPFlagTaken.ogg",
		["HPFrameX"] = -50,
		["FilterInterrupt2"] = "TandFandBossCooldown",
		["AFKHealthWarning"] = false,
		["CATATWMessageShown"] = false,
		["HelpMessageVersion"] = 2,
	},
}

DBT_AllPersistentOptions = {
	["ThinkTankUI"] = {
		["DBM"] = {
			["StartColorPR"] = 1,
			["Scale"] = 0.899999976158142,
			["EnlargeBarsPercent"] = 0.125,
			["StartColorR"] = 1,
			["EndColorPR"] = 0.501960784313726,
			["ExpandUpwardsLarge"] = true,
			["ExpandUpwards"] = false,
			["TimerPoint"] = "TOPLEFT",
			["EndColorDG"] = 0,
			["HugeTimerPoint"] = "CENTER",
			["EndColorUIG"] = 0.92156862745098,
			["StartColorUIR"] = 1,
			["StartColorAG"] = 0.545098039215686,
			["EndColorDR"] = 1,
			["HugeBarXOffset"] = 0,
			["StartColorRR"] = 0.501960784313726,
			["StartColorUIG"] = 1,
			["HugeScale"] = 1.04999995231628,
			["BarYOffset"] = 17,
			["StartColorDG"] = 0.301960784313726,
			["StartColorAR"] = 0.376470588235294,
			["EndColorAER"] = 1,
			["StartColorIB"] = 1,
			["Font"] = "Interface\\AddOns\\ElvUI\\media\\fonts\\Expressway.ttf",
			["EndColorAEB"] = 0.247058823529412,
			["Height"] = 20,
			["BarXOffset"] = 0,
			["EndColorB"] = 0,
			["EndColorAR"] = 0.149019607843137,
			["EndColorG"] = 0,
			["Decimal"] = 10,
			["EndColorIB"] = 1,
			["EndColorRB"] = 0.301960784313726,
			["TimerX"] = 100.000213623047,
			["EndColorIR"] = 0.0470588235294118,
			["EndColorRR"] = 0.109803921568627,
			["Texture"] = "Interface\\Addons\\Raven\\Statusbars\\White.tga",
			["EnlargeBarTime"] = 11,
			["StartColorPG"] = 0.776470588235294,
			["FontFlag"] = "OUTLINE",
			["EndColorAB"] = 1,
			["Width"] = 177,
			["EndColorPG"] = 0.411764705882353,
			["EndColorIG"] = 0.87843137254902,
			["EndColorAEG"] = 0.0431372549019608,
			["StartColorAEB"] = 0.458823529411765,
			["HugeTimerY"] = -152.000122070313,
			["HugeTimerX"] = 12.0002861022949,
			["EndColorDB"] = 1,
			["StartColorAB"] = 1,
			["EndColorUIB"] = 0.0117647058823529,
			["StartColorDB"] = 1,
			["HugeWidth"] = 200,
			["StartColorAER"] = 1,
			["StartColorRB"] = 0.501960784313726,
			["HugeBarYOffset"] = 17,
			["EndColorUIR"] = 1,
			["EndColorRG"] = 1,
			["StartColorUIB"] = 0.0627450980392157,
			["StartColorG"] = 0.701960784313726,
			["StartColorRG"] = 1,
			["StartColorIR"] = 0.470588235294118,
			["EndColorR"] = 1,
			["StartColorPB"] = 0.419607843137255,
			["StartColorDR"] = 0.901960784313726,
			["StartColorAEG"] = 0.466666666666667,
			["EndColorAG"] = 0.384313725490196,
			["FontSize"] = 12,
			["StartColorB"] = 0,
			["EndColorPB"] = 0.286274509803922,
			["StartColorIG"] = 0.968627450980392,
			["TimerY"] = -190.000122070313,
		},
	},
}
	
	DBM:ApplyProfile('ThinkTankUI')
end



